Subject: Re: Proving the license

From: Dion Johnson <[email-masked]>
Date: Wed, 1 Jul 1998 09:48:24 -0700

I will pester the legal folks in NJ to see if they can locate anything.

On Wed, Jul 01, 1998 at 12:24:02PM +1000, Warren Toomey wrote:
 > From: Warren Toomey <[email-masked]>
 > Subject: Re: Proving the license
 > To: Michael Sokolov <[email-masked]>
 > Date: Wed, 1 Jul 1998 12:24:02 +1000 (EST)
 > Cc: Dion Johnson <[email-masked]>
 > X-Mailer: ELM [version 2.4ME+ PL22 (25)]

 > In article by Michael Sokolov:
 > >    Dear Warren,
 > >    My name is Michael Sokolov, and I'm from Case Western Reserve University
 > > (CWRU), that's in Cleveland, OH, USA. I have plans to do great and
 > > wonderful things with Ritchie/Thompson/Kernighan/Berkeley UNIX(R) for PDP-
 > > 11s and VAXen. (Things like making the Berkeley VAX version run on every
 > > VAX from 11/780 to 10000, just like VMS.) Obviously, we (CWRU) have a
 > > UNIX(R) source license for the entire campus. It's a real Bell Labs / AT&T
 > > / Western Electric one, not the SCO "ancient" thing. The tricky part is,
 > > how do I go about proving this so that I can get FTP access to the PUPS
 > > archive? Locating the original license agreement would be next to
 > > impossible, since the people who have made it are long gone and things have
 > > probably been reorganized, restructured, and moved at the University 2^32
 > > times since then. In fact, when I called the current guy in the department
 > > that has originally purchased the license, he didn't even know that we have
 > > it!
 > 
 > Michael, hmm, a difficult problem. If you can find _any_ paper copy of _any_
 > license (7th Ed, 32V, System III, System V), then that would be wonderful.
 > You would then be able to fax me the pages with signatures on it.
 > 
 > Alternatively, I guess we could ask SCO (who now own the source) to ask
 > their lawyers if they know the details of the old AT&T licenses, particularly
 > to verify if CWRU has a licence.
 > 
 > If worse comes to worse, you could buy a new license for US$100 from SCO,
 > and then you could get access.
 > 
 > I'm not so keen on giving access even if you can prove you've got the source.
 > However, you might be able to ask SCO to grant you some special consideration
 > in this case.
 > 
 > I'll cc this reply to Dion at SCO, who might be able to offer us some advice.
 > 
 > 	Warren

---

From: [email-masked] (Michael Sokolov)
Date: Wed, 1 Jul 98 00:58:46 -0400

Dear Warren,
   
   You wrote:
> Michael, hmm, a difficult problem. If you can find _any_ paper copy of
> _any_ license (7th Ed, 32V, System III, System V), then that would be
> wonderful. You would then be able to fax me the pages with signatures on
> it.
   
   Well, I'm not giving up on this yet. The guy keeps saying that he is
asking around.
   
> their lawyers if they know the details of the old AT&T licenses,
> particularly to verify if CWRU has a licence.
   
   This is pretty much what I was considering as a backup plan if the guy
doesn't find anything.
   
> and then you could get access.
   
   I would have no problem with this if I were doing it for myself, but
this is really a University project, not a personal one. (That's what
allows me to use hardware officially donated to the University, house it in
the University's space, and feed its hungry 19" disk drives with the
University's power.) The University obviously can't justify buying a new
license just because they have misplaced the paperwork for the existing
one. Can I buy it personally? Well, I don't think the University would mind
accepting a donation from one of its employees, but I don't think the
license is even transferable in this way.
   
   Also consider that there is a high probability that our license covers
System V, and I would certainly love to be able to play legally with the
sources for, say, SunOS and Solaris (which we appear to have somewhere).
   
   [Hi, Dion! I know this is hard to believe, but I still haven't been able
to get the people at UC Berkeley to even send me a copy of the license they
require people to sign. They are un-cooperative beyond belief. Anyway,
Warren's group is already freely sharing 2.xBSD tapes among AT&T and SCO
licensees, and I see absolutely no reason for 4.xBSD to be different. I
guess what we need to do is to convince the people with copies of the
different 4.xBSD tapes (I know a few) to contribute them to the PUPS
archive. I'm certainly willing to contribute the 4.3BSD tapes I have
stumbled across a couple of weeks ago! If we get all 4.xBSD tapes in the
PUPS archive, UC Berkeley's a**holes will never collect another $2400
"distribution fee"!]
   
   Sincerely,
   Michael Sokolov
   Phone: 216-368-6888 (Office) 440-449-0299 (Home) 216-217-2579 (Cellular)
   ARPA Internet SMTP mail: [email-masked]

---

From: Dion Johnson <[email-masked]>
Date: Thu, 2 Jul 1998 08:28:26 -0700

Well, of course we do.  But people work on what makes money
first, and they do the tidying up later (which of course
means never).  I have never seen the NJ archives but I
can imagine there are closets full of ancient stuff.

We inherited some thousands of contracts when we bought
the Unix stuff from Novell.  No one has ever gone through
them all...  

On Thu, Jul 02, 1998 at 09:24:45AM +1000, Warren Toomey wrote:
 > To: Dion Johnson <[email-masked]>
 > Date: Thu, 2 Jul 1998 09:24:45 +1000 (EST)

 > In article by Dion Johnson:
 > Thanks Dion. You guys really need a canonical list of old AT&T source
 > licenses.
 > 
 > Ciao,
 > 	Warren